import request from '@/utils/request'
export default class religiousConferenceService {
    // 保存
    save(inputForm) {
        return request.post(
            '/zzcssb/religiousConference/save',
            inputForm
        )
    }
    queryById(id) {
        return request.get(
            '/zzcssb/religiousConference/queryById', { id: id }
        )
    };
    list(params) {
        return request.get(
            `/zzcssb/religiousConference/list`,
            params
        )
    }
    delete(ids) {
        return request.delete(
            '/zzcssb/religiousConference/delete', { ids: ids }
        )
    }
}