import request from '@/utils/request'
export default class Tools {
    treeData() {
        return request.get(`/tools/area_yc/treeData`);
    };
    placeList(params) {
        return request.get(
            `/religioussites/siteinfo/religiousSitesInfo/list`,
            params
        )
    };
    //视频音频点位列表
    videoPointList(params) {
        return request.get(
            `/religioussites/videopoint/videoPoint/list`,
            params
        )
    };
    //消防点位列表
    fireStationList(params) {
        return request.get(
            `/religioussites/fire/fireEquipment/list`,
            params
        )
    };
    //非宗教类组织列表
    NonReligiousInformationOrgList(params) {
        return request.get(
            `/zjzz/religion/listByGrid`,
            params
        )
    };
    // 文件上传
    uploadFile(formData, uploadPath) {
        return request.uploadFile(
            `/sys/file/webupload/upload?uploadPath=${uploadPath}`,
            formData
        )
    };
    // 文件删除
    uploadFiledelete(formData, uploadPath) {
        return request.delete(
            `/sys/file/webupload/deleteByUrl?url=${uploadPath}`,
            formData
        )
    };
    // 用户查询
    queryById(id) {
            return request.get(
                `/sys/user/queryById`, { id: id }
            )
        }
        // 获取场所地点
    areaQueryById(id) {
        return request.get(
            '/religioussites/siteinfo/religiousSitesInfo/queryById', { id: id })
    }
}