import request from '@/utils/request'
export default class nonReligiousInformationService {
    // 保存
    save(inputForm) {
        return request.post(
            '/nonreligiousinformation/nonReligiousInformation/save',
            inputForm
        )
    }
    queryById(id) {
        return request.get(
            '/nonreligiousinformation/nonReligiousInformation/queryById', { id: id }
        )
    };
    list(params) {
        return request.get(
            `/nonreligiousinformation/nonReligiousInformation/list`,
            params
        )
    }
    delete(ids) {
        return request.delete(
            '/nonreligiousinformation/nonReligiousInformation/delete', { ids: ids }
        )
    }
}