import request from '@/utils/request'
export default class userSets {
    //轮播图
    BannerImg() {
        return request.get(`/banner/bannerImg/applist`);
    };
    // 主题颜色
    SelectColor(params) {
        return request.get(
            `/selectapp/selectColor/getColor`,
            params
        )
    };
    //盐政通登录
    TokenLogin(params) {
        return request.get(
            `/yzt/Login`,
            params
        )
    };
    //修改密码
    ChangePass(params) {
        return request.put(
            `/sys/user/savePwd`,
            params
        )
    };
    //待办事项统计
    Statistics(params) {
        return request.get(
            `/assign/assignWorkOrder/statistics`,
            params
        )
    };

    //盐政通测试用户同步规则
    SchemaService(params) {
        return request.post(
            `/SchemaService`,
            params
        )
    };
    //盐政通测试用户新建
    UserCreateService(params) {
        return request.post(
            `/UserCreateService`,
            params
        )
    };
    //盐政通测试用户更新
    UserUpdateService(params) {
        return request.post(
            `/UserUpdateService`,
            params
        )
    };
    //盐政通测试用户删除
    UserDeleteService(params) {
        return request.post(
            `/UserDeleteService`,
            params
        )
    };
}